<div class="container">
  <div class="row">
    <div class="col-md-12">
      <h1>{{ user.id ? 'Detalhes do usuário' : 'Cadastro de Usuário' }} </h1>
      <div class="user">
          <div class="form-group">
            <label>Name</label>
            <input type="text" class="form-control" required ngModel #firstName="ngModel" name="firstName"
              [(ngModel)]="user.firstName" />
          </div>
          <div class="form-group">
            <label>Last name</label>
            <input type="text" class="form-control" required ngModel #lastName="ngModel" name="lastName"
              [(ngModel)]="user.lastName" />
          </div>
          <div class="form-group">
            <label>E-mail</label>
            <input type="text" class="form-control" required ngModel #email="ngModel" name="email"
              [(ngModel)]="user.email" />
          </div>
          <div class="form-group">
            <label>Birthday</label>
            <input type="date" class="form-control" required ngModel #birthday="ngModel" name="birthday"
              [(ngModel)]="user.birthday">
          </div>
          <div class="form-group">
            <label>Login</label>
            <input type="text" class="form-control" required ngModel #login="ngModel" name="login"
              [(ngModel)]="user.login" />
          </div>
          <div class="form-group" *ngIf="!user.id">
            <label>Password</label>
            <input class="form-control" type="password" required ngModel #password="ngModel" name="password"
              [(ngModel)]="user.password" />
          </div>
          <div class="form-group">
            <label>Phone</label>
            <input type="text" class="form-control" required ngModel #phone="ngModel" name="phone"
              [(ngModel)]="user.phone" />
          </div>
        <div id="idCars" *ngIf="!user.id">
          <h2> Car </h2>
          <div class="form-group">
            <label>Year</label>
            <input type="number" class="form-control" required ngModel #year="ngModel" name="year"
              [(ngModel)]="car.year" />
          </div>
          <div class="form-group">
            <label>License Plate</label>
            <input type="text" class="form-control" required ngModel #licensePlate="ngModel" name="licensePlate"
              [(ngModel)]="car.licensePlate" />
          </div>
          <div class="form-group">
            <label>Model</label>
            <input type="text" class="form-control" required ngModel #model="ngModel" name="model"
              [(ngModel)]="car.model" />
          </div>
          <div class="form-group">
            <label>Color</label>
            <input type="text" class="form-control" required ngModel #color="ngModel" name="colo"
              [(ngModel)]="car.color" />
          </div>
          <button class="btn btn-info" (click)="addCar()" *ngIf="!user.id"><i class="fa fa-plus"></i> Add car to table</button>
        </div>

        <table class="table table-bordered custom-table">
          <thead>
            <tr>
              <th>Year</th>
              <th>License Plate</th>
              <th>Model</th>
              <th>Color</th>
              <th *ngIf="!user.id">Actions</th>
            </tr>
          </thead>
          <tbody>
            <tr *ngFor="let car of cars">
              <td class="center-text-column">{{ car.year }} </td>
              <td class="center-text-column">{{ car.licensePlate }}</td>
              <td class="center-text-column">{{ car.model }}</td>
              <td class="center-text-column">{{ car.color }}</td>
              <td class="actions" *ngIf="!user.id">
                <button class="btn" (click)="editCar(car)">
                  <i class="fa fa-pencil"></i>
                </button>
                <button class="btn" (click)="removeCar(car)">
                  <i class="fa fa-trash"></i>
                </button>
              </td>
            </tr>
          </tbody>
        </table>

        <button class="btn btn-info" (click)="saveUser()"><i class="fa fa-save"></i>Save</button>
        <button class="btn btn-danger" [routerLink]="'/users'"><i class="fa fa-times"></i>Cancel</button>
      </div>
  </div>
  </div>
</div>
